CREATE TABLE fai_sam_sequence (
    SEQUENCE_ID               NUMBER(18, 0) ,
    SEQUENCE                  VARCHAR2(4000),
    PARENT_SEQUENCE_ID        NUMBER        ,
    SEQUENCE_DEFINITION_ID    NUMBER        ,
    SEQUENCER                 VARCHAR2(4000),
    TYPE                      VARCHAR2(960) ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    ENTERPRISE_ID             NUMBER(18, 0)     NOT NULL,
    POD                       VARCHAR2(96)  ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    SEQUENCE_ID               NUMBER(18, 0) ,
    SEQUENCE                  VARCHAR2(4000),
    PARENT_SEQUENCE_ID        NUMBER        ,
    SEQUENCE_DEFINITION_ID    NUMBER        ,
    SEQUENCER                 VARCHAR2(4000),
    TYPE                      VARCHAR2(960) ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    ENTERPRISE_ID             NUMBER(18, 0)     NOT NULL,
    POD                       VARCHAR2(96)  ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_fai_sam_sequence PRIMARY KEY (SEQUENCE_ID, SEQUENCE_ID)
);
